package cn.edu.whu.boot.xml.dto;

import java.util.List;

/**
 * 封装 XML 文件 <tables> 和 <meta> 标签的内容，主要用于生成 Json 字符串返回给前端 !
 * 前端需要字符串样式参考 CommonConstant 注释
 */
public class FrontEndConfig {

    private List<FrontEndTable> tables;
    private FrontEndMeta meta;

    public List<FrontEndTable> getTables()
    {
        return tables;
    }

    public void setTables(List<FrontEndTable> tables)
    {
        this.tables = tables;
    }

    public FrontEndMeta getMeta()
    {
        return meta;
    }

    public void setMeta(FrontEndMeta meta)
    {
        this.meta = meta;
    }
}
